Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.server
Class AtomException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.syndication.propono.atom.server.AtomException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AtomNotAuthorizedException, AtomNotFoundException

    public class AtomException

extends Exception

Exception thrown by `AtomHandler` and extended by other Propono Atom exception classes.

See Also:
  Serialized Form

Constructor Summary
`AtomException()` Construct new exception
`AtomException(String msg)` Construct new exception with message
`AtomException(String msg, Throwable t)` Contruct new exception with message and wrapping existing exception
`AtomException(Throwable t)` Construct new exception to wrap existing one.

Method Summary
`int` | `getStatus()` Get HTTP status associated with exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AtomException

    public AtomException()

  Construct new exception

### AtomException

    public AtomException(String msg)

  Construct new exception with message

### AtomException

    public AtomException(String msg,
                         Throwable t)

  Contruct new exception with message and wrapping existing exception

### AtomException

    public AtomException(Throwable t)

  Construct new exception to wrap existing one.

Method Detail

### getStatus

    public int getStatus()

  Get HTTP status associated with exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD